This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 892992 - system halted with uncompression error when do system_reset operation after hot plug scsi disk
system halted with uncompression error when do system_reset operation after h...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.0
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Asias He
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-08 07:03 EST by Sibiao Luo
Modified: 2013-08-04 04:16 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-04 04:16:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
screenshot for system halted with uncompression error. (13.61 KB, image/png)
2013-01-08 07:04 EST, Sibiao Luo
no flags Details

  None (edit)
Description Sibiao Luo 2013-01-08 07:03:33 EST
Description of problem:
boot a rhel6.4 guest on rhel7 host, but will system halted with uncompression error when do system_reset operation after hot plug scsi disk. 
btw, I also try the rhel7 guest on rhel7 host with the same steps which have no such issue, it can reset successfully.

Version-Release number of selected component (if applicable):
host info:
kernel-3.6.0-0.29.el7.x86_64
qemu-kvm-1.3.0-3.el7.x86_64
seabios-1.7.1-4.el7.x86_64
guest info:
rhel6.4: kernel-2.6.32-351.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1.boot a rhel6.4 guest on rhel7 host.
2.hot plug scsi disk.
(qemu) drive_add pci_addr=auto file=/home/my-data-disk.qcow2,if=none,id=drive-data-disk,format=qcow2,werror=stop,rerror=stop
OK
(qemu) device_add virtio-scsi-pci,id=scsi1,bus=pci.0,addr=0x8
(qemu) device_add scsi-hd,ver=sluo,drive=drive-data-disk,bus=scsi1.0,id=data-disk
3.do system_reset operation.
(qemu) system_reset
  
Actual results:
after step 2, the scsi disk was hot-plug to guest successfully and detect it in guest via 'fdisk -l'.
(qemu) info block
drive-system-disk: removable=0 io-status=ok file=/mnt/RHEL6.4-20121212.1-Server-x86_64.qcow2 ro=0 drv=qcow2 encrypted=0 bps=0 bps_rd=0 bps_wr=0 iops=0 iops_rd=0 iops_wr=0
ide1-cd0: removable=1 locked=0 tray-open=0 io-status=ok [not inserted]
floppy0: removable=1 locked=0 tray-open=0 [not inserted]
sd0: removable=1 locked=0 tray-open=0 [not inserted]
drive-data-disk: removable=0 io-status=ok file=/home/my-data-disk.qcow2 ro=0 drv=qcow2 encrypted=0 bps=0 bps_rd=0 bps_wr=0 iops=0 iops_rd=0 iops_wr=0
(qemu)
after step 3, the guest will fail to reboot, it will system halted with uncompression error after reload the kernel automatically in some loop. I will attach the screenshot later.

Expected results:
it can reset successfully when do system_reset operation after hot plug scsi disk.

Additional info:
Comment 1 Sibiao Luo 2013-01-08 07:04:34 EST
Created attachment 674744 [details]
screenshot for system halted with uncompression error.
Comment 2 Sibiao Luo 2013-01-08 21:16:10 EST
do system_reset operation after hot unplug a scsi disk still hit this issue for booting rhel6.4 guest on rhel7 host.
Comment 3 Asias He 2013-08-01 03:23:21 EDT
(In reply to Sibiao Luo from comment #0)
> Description of problem:
> boot a rhel6.4 guest on rhel7 host, but will system halted with
> uncompression error when do system_reset operation after hot plug scsi disk. 
> btw, I also try the rhel7 guest on rhel7 host with the same steps which have
> no such issue, it can reset successfully.
> 
> Version-Release number of selected component (if applicable):
> host info:
> kernel-3.6.0-0.29.el7.x86_64
> qemu-kvm-1.3.0-3.el7.x86_64
> seabios-1.7.1-4.el7.x86_64
> guest info:
> rhel6.4: kernel-2.6.32-351.el6.x86_64
> 
> How reproducible:
> 100%
> 
> Steps to Reproduce:
> 1.boot a rhel6.4 guest on rhel7 host.
> 2.hot plug scsi disk.
> (qemu) drive_add pci_addr=auto
> file=/home/my-data-disk.qcow2,if=none,id=drive-data-disk,format=qcow2,
> werror=stop,rerror=stop
> OK
> (qemu) device_add virtio-scsi-pci,id=scsi1,bus=pci.0,addr=0x8
> (qemu) device_add
> scsi-hd,ver=sluo,drive=drive-data-disk,bus=scsi1.0,id=data-disk
> 3.do system_reset operation.
> (qemu) system_reset
>   
> Actual results:
> after step 2, the scsi disk was hot-plug to guest successfully and detect it
> in guest via 'fdisk -l'.
> (qemu) info block
> drive-system-disk: removable=0 io-status=ok
> file=/mnt/RHEL6.4-20121212.1-Server-x86_64.qcow2 ro=0 drv=qcow2 encrypted=0
> bps=0 bps_rd=0 bps_wr=0 iops=0 iops_rd=0 iops_wr=0
> ide1-cd0: removable=1 locked=0 tray-open=0 io-status=ok [not inserted]
> floppy0: removable=1 locked=0 tray-open=0 [not inserted]
> sd0: removable=1 locked=0 tray-open=0 [not inserted]
> drive-data-disk: removable=0 io-status=ok file=/home/my-data-disk.qcow2 ro=0
> drv=qcow2 encrypted=0 bps=0 bps_rd=0 bps_wr=0 iops=0 iops_rd=0 iops_wr=0
> (qemu)
> after step 3, the guest will fail to reboot, it will system halted with
> uncompression error after reload the kernel automatically in some loop. I
> will attach the screenshot later.
> 
> Expected results:
> it can reset successfully when do system_reset operation after hot plug scsi
> disk.
> 
> Additional info:

What is your full cmdline to start qemu? Your os system is installed on virtio-blk device (according to your screen shot)?
Comment 4 Asias He 2013-08-01 03:46:45 EDT
Update: If I hotplug a disk to the existing virtio-scsi and do system_reset. No issue is observed.
Comment 5 Asias He 2013-08-01 04:36:07 EDT
I tested both upstream and qemu-kvm-1.5.2-2.el7. I did not hit the issue. Consider the bug report is half year old, Can you retest with latest rhel7 package.

Thanks.
Comment 6 Sibiao Luo 2013-08-01 05:02:04 EDT
(In reply to Asias He from comment #5)
> I tested both upstream and qemu-kvm-1.5.2-2.el7. I did not hit the issue.
> Consider the bug report is half year old, Can you retest with latest rhel7
> package.
> 
yes, I also retried it that the latest QEMU(qemu-kvm-1.5.1-2.el7.x86_64) has no such issue any more.

host info:
qemu-kvm-1.5.1-2.el7.x86_64
3.10.0-3.el7.x86_64
guest info:
rhel6.5 & rhel7

Best Regards,
sluo

Note You need to log in before you can comment on or make changes to this bug.